GPASTE-CLIENT(1)

NAME
GPaste - A lightweight clipboard manager for the Gnome desktop

SYNOPSIS
[command |] gpaste-client [options...]

DESCRIPTION
GPaste is a modular clipboard management system with a fully DBus-based daemon, a CLI client and a gtk+ tray icon.

COMMANDS

gpaste-client [history]
    Display the history with indexes

gpaste-client history-size
    Display this size of the history

gpaste-client get-history
    Get the name of the current history

gpaste-client backup-history
    Backup the current history

gpaste-client switch-history
    Switch to another history

gpaste-client delete-history
    Delete a history

gpaste-client list-histories
    List available histories

gpaste-client add <text>
    Add the text into the history

gpaste-client add-password <name> <password>
    Add the name - password couple to the history

gpaste-client delete-password <name>
    Delete the password <name>

gpaste-client set-password <number> <name>
    Mark the <number>th item of the history as being a password named <name>

gpaste-client rename-password <old name> <new name>
    Rename the password

gpaste-client get <number>
    Get the <number>th item from the history

gpaste-client select <number>
    Put the <number>th item of the history into the clipboard

gpaste-client replace <number> <contents>
    Replace the contents of the <number>th item of the history with the provided one

gpaste-client merge [--decoration|-d <string>] [--separator|-s <string>] <number> … <number>
    Merge the <number>th items of the history and put the result in the clipboard
    If foo bar and baz are respectively index 1 3 and 4 in history and you run
    gpaste-client merge -d '"' -s ',' 1 3 4
    You will end up with "foo","bar","baz" in your clipboard

gpaste-client delete <number>
    Delete the <number>th item of the history

gpaste-client file <path>
    Put the content of the file at <path> into the clipboard

command | gpaste-client
    Put the output of the command into the history

gpaste-client empty
    Empty the history

gpaste-client start
    Start tracking clipboard changes

gpaste-client stop
    Stop tracking clipboard changes

gpaste-client upload <number>
    Upload the <number>th item to a pastebin service

gpaste-client ui
    Launch the graphical tool

gpaste-client daemon-reexec
    Reexecute the daemon, for example after upgrading GPaste

gpaste-client settings
    Launch the configuration tool

gpaste-client version
    Display the version

gpaste-client daemon-version
    Display the daemon version

gpaste-client help
    Display the help

gpaste-client about
    Display the about dialog

gpaste-client show-history
    Make the applet or extension display the history

OPTIONS

--oneline
    Display each item on one line, without new lines

--raw
    Display the item raw (without index)

--reverse
    Display the items in reverse order

--zero
    Use NUL character instead of new lines between each item